# Generated by Django 4.0.4 on 2022-11-10 14:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('backend', '0028_maplayer_style'),
    ]

    operations = [
        migrations.CreateModel(
            name='StationLandUse',
            fields=[
                ('station', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='backend.station')),
                ('surfaceZone', models.FloatField(blank=True, null=True)),
                ('agriShare', models.FloatField(blank=True, null=True)),
                ('cropShare', models.FloatField(blank=True, null=True)),
                ('meadowShare', models.FloatField(blank=True, null=True)),
                ('forestShare', models.FloatField(blank=True, null=True)),
                ('builtShare', models.FloatField(blank=True, null=True)),
                ('buildingsAge', models.FloatField(blank=True, null=True)),
                ('precipitation', models.FloatField(blank=True, null=True)),
                ('slope', models.FloatField(blank=True, null=True)),
                ('numberCemeteries', models.IntegerField(blank=True, null=True)),
                ('numberAgriBuildings', models.IntegerField(blank=True, null=True)),
                ('numberNonConnectedBuildings', models.IntegerField(blank=True, null=True)),
            ],
        ),
    ]
